rm -recurse -force coverage/*
cp *.cpp,*.hpp,*.rl builddir

. .venv/Scripts/activate

rm -recurse -force coverage
cp scripts\gcovr_patched_coverage.py .venv\Lib\site-packages\gcovr\coverage.py

gcovr -o coverage/ --html --html-details  --html-theme github.dark-blue --gcov-ignore-errors all --gcov-ignore-parse-errors negative_hits.warn_once_per_file -e builddir/subprojects -e builddir -e subprojects -j 10 .

rm *.gcov.json.gz

start .\coverage\coverage_details.html
